import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';

@Component({
    selector: 'file-upload',
    templateUrl: './file-upload.component.html',
    styleUrls: ['./file-upload.component.css']
})
export class FileUploadComponent implements OnInit {

    snAction: string;
    uploadData: any = { "bucketAlias": "SmartEvent" };
    @Input() set uploadUrl(url) {
        this.snAction = url + "/foundation/aliyun/api/oss/upload";
    }
    @Input() snText: string;
    @Input() snFileList: any[];

    @Output() snChangeCallback = new EventEmitter();

    constructor() { }

    ngOnInit() {
    }

    changeCallback(event) {
        if (event.type === "success") {
            console.log('changeCallback=event=', event);
            this.snFileList.splice(-1, 1, {
                fileKey: event.file.response.content.fileKey,
                uid: event.file.uid,
                name: event.file.name,
                status: event.file.status,
                url: event.file.response.content.url,
                thumbUrl: event.file.response.content.urlThumbnail
            });
            this.snChangeCallback.emit(this.snFileList);
        }
    }

}
