import { Component, OnInit, Input, ViewChild, ElementRef } from '@angular/core';

import { POPIMGLIST } from '../model/sn-filer.model';

declare var Viewer;

@Component({
  selector: 'sn-pop-preview',
  templateUrl: './pop-preview.component.html',
  styleUrls: [`./pop-preview.component.css`]
})
export class PopPreviewComponent implements OnInit {

  viewer: any;
  _imgList: POPIMGLIST[];

  @Input() 
  set imgList(imgList: POPIMGLIST[]) {
    this._imgList = imgList;
    this.loadImageComplate();
  }
  @Input() snHeight: string;
  @Input() snWidth: string;
  @ViewChild('images') images: ElementRef;

  constructor() { }

  ngOnInit() {

  }

  loadImageComplate() {
    if (this.viewer) {
      this.viewer.destroy();
    }
    setTimeout(()=>{
      this.viewer = new Viewer(this.images.nativeElement);
    });
  }

}
